package com.zipcoder.payment;
public class PayPal implements Payment {
    private Long id;
    private String payerName;
    private String email;


    public PayPal(){}

    public PayPal(Long id,String payerName,String email){
    this.id = id;
    this.payerName=payerName;
    this.email=email;
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPayerName() {
        return this.payerName;
    }

    public void setPayerName(String name){
        this.payerName= name;
    }

    public String getShortDescription() {
        return "Paypal "+ payerName+ " "+ email;
    }


    public void setEmail(String name) {
        this.email=name;
        }

    public String getEmail(){
        return this.email;
    }

    public int compareTo(Payment o) {
        return this.getShortDescription().compareTo(o.getShortDescription());
    }
}
