package com.zipcoder.payment;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class PaymentSortByPayerTest {

    CreditCard credit2;
    Check check;
    PaymentSortByPayer test;


    @Before
    public void setUp() {
        credit2 = new CreditCard();
        check = new Check();
        test = new PaymentSortByPayer();
    }

    @Test
    public void CompareTest(){
        credit2.setPayerName("Tia Mowry");
        credit2.setExpiredYear(2020);
        credit2.setExpiredMonth(11);
        credit2.setNumber("4567891011");

        check.setPayerName("Randall Gibson");
        check.setRoutingNumber("1234");
        check.setAccountNumber("52820");

        int actual = test.compare(check,credit2);

        Assert.assertTrue(actual <0);



        }
    }
